typedef struct UserInfo UserInfo;
typedef unsigned int uint;

typedef struct Blob {
  char* data;
  uvlong length;
} Blob;

typedef struct Cart {
  char name[32];
  Blob* rom;
  Blob* txt_data;
  Blob* sprite_data;
  Blob* audio_data;
} Cart;

Cart* create_cart(char* name);
Cart* find_cart(UserInfo* table, char* name);
int get_chunk(UserInfo* table, char* uname, char* chunk);
uint count_carts(UserInfo* table, char* name);
void destroy_cart(Cart* self);